Package org.apache.sling.validation

# Interface ValidationResult

All Known Implementing Classes:
  `DefaultValidationResult`

@ProviderType public interface ValidationResult
A `ValidationResult` contains validation information either from a single `Validator` or from multiple Validator invocations.

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<ValidationFailure>`
`getFailures()`
In case the validation failed (check the `isValid()` method), this method returns the failure's causes.
`boolean`
`isValid()`
Tells if the validation was successful or not.

## Method Details

### isValid

boolean isValid()
Tells if the validation was successful or not.

Returns:
  `true` for yes, `false` otherwise

### getFailures

@NotNull @NotNull List<ValidationFailure> getFailures()
In case the validation failed (check the `isValid()` method), this method returns the failure's causes.

Returns:
  the validation's failures (never `null`)